| Version: 3.0.4

Classes | Macros | Variables
hyperlink.h File Reference

## Classes
class | wxHyperlinkEvent
| This event class is used for the events generated by wxHyperlinkCtrl. More...
class | wxHyperlinkCtrl
| This class shows a static text element which links to an URL. More...

## Macros
#define | wxHL_CONTEXTMENU 0x0001
#define | wxHL_ALIGN_LEFT 0x0002
#define | wxHL_ALIGN_RIGHT 0x0004
#define | wxHL_ALIGN_CENTRE 0x0008
#define | wxHL_DEFAULT_STYLE (wxHL_CONTEXTMENU|wxNO_BORDER|wxHL_ALIGN_CENTRE)

## Variables
wxEventType | wxEVT_HYPERLINK

## Macro Definition Documentation

## ◆ wxHL_ALIGN_CENTRE

#define wxHL_ALIGN_CENTRE 0x0008

## ◆ wxHL_ALIGN_LEFT

#define wxHL_ALIGN_LEFT 0x0002

## ◆ wxHL_ALIGN_RIGHT

#define wxHL_ALIGN_RIGHT 0x0004

## ◆ wxHL_CONTEXTMENU

#define wxHL_CONTEXTMENU 0x0001

## ◆ wxHL_DEFAULT_STYLE

#define wxHL_DEFAULT_STYLE (wxHL_CONTEXTMENU|wxNO_BORDER|wxHL_ALIGN_CENTRE)

## Variable Documentation

## ◆ wxEVT_HYPERLINK

wxEventType wxEVT_HYPERLINK